Bug 433694 - reconciliation removes the history
Summary: reconciliation removes the history
Status: RESOLVED FIXED
Alias: None
Product: kmymoney
Classification: Applications
Component: general (show other bugs)
Version: 5.1.1
Platform: Other All
: NOR normal (vote)
Target Milestone: ---
Assignee: KMyMoney Devel Mailing List
URL:
Keywords:
Depends on:
Blocks: 433662
  Show dependency treegraph
 
Reported: 2021-02-27 11:52 UTC by Ralf Habacker
Modified: 2021-02-28 07:20 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 4.8.5,5.1.2


Attachments
test case with 3 processed reconciliations (26.28 KB, text/xml)
2021-02-27 11:52 UTC, Ralf Habacker
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ralf Habacker 2021-02-27 11:52:09 UTC
Created attachment 136218 [details]
test case with 3 processed reconciliations

SUMMARY
At https://invent.kde.org/office/kmymoney/-/merge_requests/60 it turned out that after processing a reconciliation, the history of previous reconciliations are removed.

STEPS TO REPRODUCE
1. start kmymoney
2. open the appended test case
3. add a transaction
4. run reconciliation
5. save the file
6. in the saved file inspect the account 'checking'

OBSERVED RESULT
The reconciliation history from the key-value-pair "reconciliationHistory" has been removed.   

EXPECTED RESULT
The reconciliation history should be present and an additional entry should be added.

SOFTWARE/OS VERSIONS
Linux/KDE Plasma: openSUSE_Leap 15.2 
KDE Frameworks Version: 5.71
Qt Version: 5.12

ADDITIONAL INFORMATION
Comment 1 Bug Janitor Service 2021-02-27 13:33:45 UTC
A possibly relevant merge request was started @ https://invent.kde.org/office/kmymoney/-/merge_requests/61
Comment 2 Ralf Habacker 2021-02-27 21:18:09 UTC
Git commit 11ccaa9ba7eb78d5c05139de02e46e809511e290 by Ralf Habacker.
Committed on 27/02/2021 at 18:05.
Pushed by habacker into branch '5.1'.

Fix 'reconciliation removes the history'

In MyMoneyAccount::addReconciliation(), make sure, that the associated
member m_reconciliationHistory is loaded from the key value pair, which
is performed by calling reconciliationHistory().
FIXED-IN: 5.1.2

M  +3    -0    kmymoney/mymoney/mymoneyaccount.cpp

https://invent.kde.org/office/kmymoney/commit/11ccaa9ba7eb78d5c05139de02e46e809511e290
Comment 3 Ralf Habacker 2021-02-27 21:21:07 UTC
Git commit 07d368edf5098cb06774a1cecc41551ce3ad43c5 by Ralf Habacker.
Committed on 27/02/2021 at 21:20.
Pushed by habacker into branch '4.8'.

Fix 'reconciliation removes the history'

In MyMoneyAccount::addReconciliation(), make sure, that the associated
member m_reconciliationHistory is loaded from the key value pair, which
is performed by calling reconciliationHistory().
FIXED-IN: 4.8.5,5.1.2
(cherry picked from commit 11ccaa9ba7eb78d5c05139de02e46e809511e290)

M  +3    -0    kmymoney/mymoney/mymoneyaccount.cpp

https://invent.kde.org/office/kmymoney/commit/07d368edf5098cb06774a1cecc41551ce3ad43c5
Comment 4 Thomas Baumgart 2021-02-28 06:22:14 UTC
Git commit 8733838fe647fe2945c055f2a44565826ea6dd74 by Thomas Baumgart.
Committed on 28/02/2021 at 06:22.
Pushed by tbaumgart into branch 'master'.

Fix 'reconciliation removes the history'

In MyMoneyAccount::addReconciliation(), make sure, that the associated
member m_reconciliationHistory is loaded from the key value pair, which
is performed by calling reconciliationHistory().
FIXED-IN: 5.1.2

(cherry picked from commit 11ccaa9ba7eb78d5c05139de02e46e809511e290)

M  +3    -0    kmymoney/mymoney/mymoneyaccount.cpp

https://invent.kde.org/office/kmymoney/commit/8733838fe647fe2945c055f2a44565826ea6dd74